Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/tests Deprecate tests/toolchain.



details:   https://anonhg.NetBSD.org/src/rev/fbd76397c6fc
branches:  trunk
changeset: 778126:fbd76397c6fc
user:      jruoho <jruoho%NetBSD.org@localhost>
date:      Sat Mar 17 17:15:28 2012 +0000

description:
Deprecate tests/toolchain.

diffstat:

 tests/Makefile                |    4 +-
 tests/toolchain/Makefile      |   10 ---
 tests/toolchain/cc/Makefile   |   10 ---
 tests/toolchain/cc/t_hello.sh |  123 ------------------------------------------
 tests/usr.bin/Makefile        |    4 +-
 tests/usr.bin/cc/Makefile     |    9 +++
 tests/usr.bin/cc/t_hello.sh   |  123 ++++++++++++++++++++++++++++++++++++++++++
 7 files changed, 136 insertions(+), 147 deletions(-)

diffs (truncated from 330 to 300 lines):

diff -r d9202e2ec587 -r fbd76397c6fc tests/Makefile
--- a/tests/Makefile    Sat Mar 17 16:48:35 2012 +0000
+++ b/tests/Makefile    Sat Mar 17 17:15:28 2012 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.35 2012/03/17 16:33:10 jruoho Exp $
+# $NetBSD: Makefile,v 1.36 2012/03/17 17:15:28 jruoho Exp $
 
 .include <bsd.own.mk>
 
@@ -8,7 +8,7 @@
 ATFFILE=       yes
 
 SUBDIR=                bin dev examples fs games include ipf kernel lib libexec net
-SUBDIR+=       rump sbin sys toolchain usr.bin usr.sbin
+SUBDIR+=       rump sbin sys usr.bin usr.sbin
 
 . if ${MKKMOD} != "no"
 SUBDIR+= modules
diff -r d9202e2ec587 -r fbd76397c6fc tests/toolchain/Makefile
--- a/tests/toolchain/Makefile  Sat Mar 17 16:48:35 2012 +0000
+++ /dev/null   Thu Jan 01 00:00:00 1970 +0000
@@ -1,10 +0,0 @@
-#      $NetBSD: Makefile,v 1.1 2011/02/24 10:24:23 pooka Exp $
-#
-
-.include <bsd.own.mk>
-
-TESTSDIR=       ${TESTSBASE}/toolchain
-
-TESTS_SUBDIRS+= cc
-
-.include <bsd.test.mk>
diff -r d9202e2ec587 -r fbd76397c6fc tests/toolchain/cc/Makefile
--- a/tests/toolchain/cc/Makefile       Sat Mar 17 16:48:35 2012 +0000
+++ /dev/null   Thu Jan 01 00:00:00 1970 +0000
@@ -1,10 +0,0 @@
-#      $NetBSD: Makefile,v 1.1 2011/02/24 10:24:24 pooka Exp $
-#
-
-.include <bsd.own.mk>
-
-TESTSDIR=      ${TESTSBASE}/toolchain/cc
-
-TESTS_SH=      t_hello
-
-.include <bsd.test.mk>
diff -r d9202e2ec587 -r fbd76397c6fc tests/toolchain/cc/t_hello.sh
--- a/tests/toolchain/cc/t_hello.sh     Sat Mar 17 16:48:35 2012 +0000
+++ /dev/null   Thu Jan 01 00:00:00 1970 +0000
@@ -1,123 +0,0 @@
-#      $NetBSD: t_hello.sh,v 1.6 2011/10/17 16:35:22 mbalmer Exp $
-#
-# Copyright (c) 2011 The NetBSD Foundation, Inc.
-# All rights reserved.
-#
-# Redistribution and use in source and binary forms, with or without
-# modification, are permitted provided that the following conditions
-# are met:
-# 1. Redistributions of source code must retain the above copyright
-#    notice, this list of conditions and the following disclaimer.
-# 2. Redistributions in binary form must reproduce the above copyright
-#    notice, this list of conditions and the following disclaimer in the
-#    documentation and/or other materials provided with the distribution.
-#
-# THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
-# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
-# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
-# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
-# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
-# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
-# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
-# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
-# POSSIBILITY OF SUCH DAMAGE.
-#
-
-atf_test_case hello
-hello_head() {
-       atf_set "descr" "compile and run \"hello world\""
-       atf_set "require.progs" "cc"
-}
-
-atf_test_case hello_pic
-hello_pic_head() {
-       atf_set "descr" "compile and run PIC \"hello world\""
-       atf_set "require.progs" "cc"
-}
-
-atf_test_case hello32
-hello32_head() {
-       atf_set "descr" "compile and run \"hello world\" for/in netbsd32 emulation"
-       atf_set "require.progs" "cc file diff cat"
-}
-
-hello_body() {
-       cat > test.c << EOF
-#include <stdio.h>
-#include <stdlib.h>
-int main(void) {printf("hello world\n");exit(0);}
-EOF
-       atf_check -s exit:0 -o ignore -e ignore cc -o hello test.c
-       atf_check -s exit:0 -o inline:"hello world\n" ./hello
-}
-
-hello_pic_body() {
-       cat > test.c << EOF
-#include <stdlib.h>
-int main(void) {callpic();exit(0);}
-EOF
-       cat > pic.c << EOF
-#include <stdio.h>
-int callpic(void) {printf("hello world\n");}
-EOF
-
-       atf_check -s exit:0 -o ignore -e ignore \
-           cc -fPIC -dPIC -shared -o libtest.so pic.c
-       atf_check -s exit:0 -o ignore -e ignore \
-           cc -o hello test.c -L. -ltest
-
-       export LD_LIBRARY_PATH=.
-       atf_check -s exit:0 -o inline:"hello world\n" ./hello
-}
-
-hello32_body() {
-       # check whether this arch is 64bit
-       if ! cc -dM -E - < /dev/null | fgrep -q _LP64; then
-               atf_skip "this is not a 64 bit architecture"
-       fi
-       if ! cc -m32 -dM -E - < /dev/null 2>/dev/null > ./def32; then
-               atf_skip "cc -m32 not supported on this architecture"
-       else
-               if fgrep -q _LP64 ./def32; then
-                       atf_fail "cc -m32 does not generate netbsd32 binaries"
-               fi
-       fi
-
-       cat > test.c << EOF
-#include <stdio.h>
-#include <stdlib.h>
-int main(void) {printf("hello world\n");exit(0);}
-EOF
-       atf_check -s exit:0 -o ignore -e ignore cc -o hello32 -m32 test.c
-       atf_check -s exit:0 -o ignore -e ignore cc -o hello64 test.c
-       file -b ./hello32 > ./ftype32
-       file -b ./hello64 > ./ftype64
-       if diff ./ftype32 ./ftype64 >/dev/null; then
-               atf_fail "generated binaries do not differ"
-       fi
-       echo "32bit binaries on this platform are:"
-       cat ./ftype32
-       echo "While native (64bit) binaries are:"
-       cat ./ftype64
-       atf_check -s exit:0 -o inline:"hello world\n" ./hello32
-
-       # do another test with static 32bit binaries
-       cat > test.c << EOF
-#include <stdio.h>
-#include <stdlib.h>
-int main(void) {printf("hello static world\n");exit(0);}
-EOF
-       atf_check -s exit:0 -o ignore -e ignore cc -o hello -m32 \
-           -static test.c
-       atf_check -s exit:0 -o inline:"hello static world\n" ./hello
-}
-
-atf_init_test_cases()
-{
-
-       atf_add_test_case hello
-       atf_add_test_case hello_pic
-       atf_add_test_case hello32
-}
diff -r d9202e2ec587 -r fbd76397c6fc tests/usr.bin/Makefile
--- a/tests/usr.bin/Makefile    Sat Mar 17 16:48:35 2012 +0000
+++ b/tests/usr.bin/Makefile    Sat Mar 17 17:15:28 2012 +0000
@@ -1,11 +1,11 @@
-#      $NetBSD: Makefile,v 1.8 2012/03/17 16:33:11 jruoho Exp $
+#      $NetBSD: Makefile,v 1.9 2012/03/17 17:15:29 jruoho Exp $
 #
 
 .include <bsd.own.mk>
 
 TESTSDIR=       ${TESTSBASE}/usr.bin
 
-TESTS_SUBDIRS= awk basename bzip2 config cut \
+TESTS_SUBDIRS= awk basename bzip2 cc config cut \
                diff dirname grep gzip id m4 make mkdep \
                pr rump_server shmif_dumpbus sdiff sort unifdef xlint
 
diff -r d9202e2ec587 -r fbd76397c6fc tests/usr.bin/cc/Makefile
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/usr.bin/cc/Makefile Sat Mar 17 17:15:28 2012 +0000
@@ -0,0 +1,9 @@
+# $NetBSD: Makefile,v 1.1 2012/03/17 17:15:29 jruoho Exp $
+
+.include <bsd.own.mk>
+
+TESTSDIR=      ${TESTSBASE}/usr.bin/cc
+
+TESTS_SH=      t_hello
+
+.include <bsd.test.mk>
diff -r d9202e2ec587 -r fbd76397c6fc tests/usr.bin/cc/t_hello.sh
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/usr.bin/cc/t_hello.sh       Sat Mar 17 17:15:28 2012 +0000
@@ -0,0 +1,123 @@
+#      $NetBSD: t_hello.sh,v 1.1 2012/03/17 17:15:29 jruoho Exp $
+#
+# Copyright (c) 2011 The NetBSD Foundation, Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
+# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
+# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+
+atf_test_case hello
+hello_head() {
+       atf_set "descr" "compile and run \"hello world\""
+       atf_set "require.progs" "cc"
+}
+
+atf_test_case hello_pic
+hello_pic_head() {
+       atf_set "descr" "compile and run PIC \"hello world\""
+       atf_set "require.progs" "cc"
+}
+
+atf_test_case hello32
+hello32_head() {
+       atf_set "descr" "compile and run \"hello world\" for/in netbsd32 emulation"
+       atf_set "require.progs" "cc file diff cat"
+}
+
+hello_body() {
+       cat > test.c << EOF
+#include <stdio.h>
+#include <stdlib.h>
+int main(void) {printf("hello world\n");exit(0);}
+EOF
+       atf_check -s exit:0 -o ignore -e ignore cc -o hello test.c
+       atf_check -s exit:0 -o inline:"hello world\n" ./hello
+}
+
+hello_pic_body() {
+       cat > test.c << EOF
+#include <stdlib.h>
+int main(void) {callpic();exit(0);}
+EOF
+       cat > pic.c << EOF
+#include <stdio.h>
+int callpic(void) {printf("hello world\n");}
+EOF
+
+       atf_check -s exit:0 -o ignore -e ignore \
+           cc -fPIC -dPIC -shared -o libtest.so pic.c
+       atf_check -s exit:0 -o ignore -e ignore \
+           cc -o hello test.c -L. -ltest
+
+       export LD_LIBRARY_PATH=.
+       atf_check -s exit:0 -o inline:"hello world\n" ./hello
+}
+
+hello32_body() {
+       # check whether this arch is 64bit
+       if ! cc -dM -E - < /dev/null | fgrep -q _LP64; then
+               atf_skip "this is not a 64 bit architecture"
+       fi
+       if ! cc -m32 -dM -E - < /dev/null 2>/dev/null > ./def32; then
+               atf_skip "cc -m32 not supported on this architecture"
+       else
+               if fgrep -q _LP64 ./def32; then
+                       atf_fail "cc -m32 does not generate netbsd32 binaries"
+               fi
+       fi
+
+       cat > test.c << EOF
+#include <stdio.h>
+#include <stdlib.h>
+int main(void) {printf("hello world\n");exit(0);}
+EOF
+       atf_check -s exit:0 -o ignore -e ignore cc -o hello32 -m32 test.c



Home | Main Index | Thread Index | Old Index